;sfall configuration settings
;v2.12

[Main]
;Change to 1 if you want to use command line args to tell sfall to use another ini file.
UseCommandLine=0

;Uncomment and point to a file to get alternate translations for some sfall messages
;TranslationsINI=./Translations.ini

;Change to 0 to remove sfall update check
CheckForUpdates=0

;Ensure that the RP ddraw.ini file is being used
ModifiedIni=42
;XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
[Sound]
;Sets the number of allowed simultaneous sound effects
;Set to 0 to leave the default unchanged (i.e. 4)
NumSoundBuffers=0

;Set to 1 to allow attaching sound files to combat float messages
AllowSoundForFloats=1

;Set to 1 to automatically search for alternative formats when fallout tries to play an acm
;This does not effect the play_sfall_sound and stop_sfall_sound script functions
AllowDShowSound=0

;Set to 1 to override the music path used by default if not present in the cfg
;Set to 2 to overwrite all occurances of the music path=2
OverrideMusicDir=2

;XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
[Speed]
;Set to 0 to disable everything in this section
Enable=1

;The speeds corresponding to each slot in percent. (i.e. 100 is normal speed)
SpeedMulti0=50
SpeedMulti1=100
SpeedMulti2=150
SpeedMulti3=200
SpeedMulti4=300
SpeedMulti5=500
SpeedMulti6=1000
SpeedMulti7=100
SpeedMulti8=100
SpeedMulti9=100

;The initial speed at game startup
SpeedMultiInitial=100


;XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
[Graphics]
;Set to 0 for 8 bit fullscreen
;Set to 4 for dx9 fullscreen
;Set to 5 for dx9 windowed
;A dx9 mode is required for any graphics related script extender functions to work (i.e. fullscreen shaders)
;Modes 1, 2 and 3 are no longer supported
Mode=0

;If using a dx9 mode, this changes the resolution
;The graphics are simply stretched to fit the new window; this does _not_ let you see more of the map
GraphicsWidth=640
GraphicsHeight=480

;This changes the settings of the hardware scaler in graphics modes 4 or 5
;Set to 0 to disable, 1 to use only if screen res > 640x480, 2 to use if screen res != 640x480 or 3 to use always
;To use a hardware scaler a file called 'global.fx' must be placed in data\shaders, and must contain one technique with one or more passes
GlobalShaderMode=0

;Set to something other than 0 to apply a software scaler in graphics modes 4 or 5
;This can be used instead of, or in addition to, the hardware global.fx shader
;This option is unsupported when using Mash's resolution patch
;0 - Default scaler
;1 - 2xSai
;2 - SuperEagle
;3 - Super2xSai
;4 - hq2x
;5 - AdvancedMame2x
;6 - letterbox
;7 - no scaling
ScaleFilter=0

;Set to 1 for a linear texture filter, or 0 to disable
TextureFilter=0

;Set to 1 to do the palette conversion on the gpu
;Faster, but incompatible with the Scalefilter and TextureFilter settings
;Requires v2.0 pixel shader support
GPUBlt=0

;Set to 1 to allow using 32 bit graphics for talking heads
;Requires graphics mode 4 or 5, and gpublt set to 1
Use32BitHeadGraphics=0

;XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
[Input]
;Set to 1 to enable the mouse scroll wheel to scroll through your inventory
UseScrollWheel=1

;The mouse Z position is divided by this modifier to calculate the number of inventory
;slots to scroll. My mouse moves 120 pixel in the z direction for one click of the mouse
;wheel, but this may vary depending on your mouse manufacturer and windows settings.
;Set to 0 to only ever scroll 1 click
ScrollMod=0

;Adjusts mouse sensitivity to some percentage of normal.
;Negative values are valid, if you want your mouse axis reversed for some reason
MouseSensitivity=100

;DX scancode of a key to press when the middle mouse button is clicked
;The default of 0x30 toggles between your two weapons
;Set to 0 to disable
MiddleMouse=0x30

;Set to 1 to reverse the left and right mouse buttons
ReverseMouseButtons=0

;Set these to 1 if you want fallout to access the keyboard or mouse in background mode
;Try these if you get the 'Failure initializing input devices' error
BackgroundKeyboard=0
BackgroundMouse=0

;XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX

;The modifier key you have to hold down to change any speed settings
;If set to 0 if you don't want to use a modifier key, or a DX scancode otherwise
;Set to -1 for either ctrl key, -2 for either alt key or -3 for either shift key
SpeedModKey=-1

;A key to press to toggle the speed tweak on or off
;Specify 0 if you don't want a toggle key, or a DX scancode otherwise
SpeedToggleKey=0x00

;The keys corresponding to the 10 speed slots
;Set to 0 to disable a slot, otherwise specify the DX scancode of the key you want to use
SpeedKey0=0x52
SpeedKey1=0x4f
SpeedKey2=0x50
SpeedKey3=0x51
SpeedKey4=0x4b
SpeedKey5=0x4c
SpeedKey6=0x4d
SpeedKey7=0x00
SpeedKey8=0x00
SpeedKey9=0x00

;The modifier key you have to hold down to change any graphics settings
;Set to 0 if you don't want to use a modifier key, or a DX scancode otherwise
;Set to -1 for either ctrl key, -2 for either alt key or -3 for either shift key
GraphicsModKey=-2

;Toggle the global shader on or off
ToggleGlobalShader=0x52

;Changes the current scaleing and texture filters
CycleScaleFilter=0
ToggleScaleFilter=0
ToggleTextureFilter=0

;A key to hold down to move the window around when using graphics mode 5
;Set to 0 if you don't want to use a modifier key, or a DX scancode otherwise
;Set to -1 for either ctrl key, -2 for either alt key or -3 for either shift key
WindowScrollKey=0

;A key to press to toggle the highlighting of all items on the ground on the current map
ToggleItemHighlightsKey=42

;A key to press to open a debug game editor
DebugEditorKey=0

;XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
[Multiplayer]
;Set to 1 to enable the multiplayer server
;requires graphics mode 4 or 5
RunServer=0

;Send/recieve buffer size, default is 8192
;increase to prevent lag bursts when scrolling or at whole screen transitions (will increase latency)
;BufferSize=8392704
BufferSize=8192

;The minimum amount of time in ms sfall will wait before sending a frame refresh
MinFrameTime=100

;You'll probably want to set this to 1 unless you're playing over a 1gbit lan
;Only supported with a 640x480 or 1024x768 screen res
CompressFrames=1

;The port to create the server on
Port=4244

;A comma separated list of the PIDs that can be controlled by other players
NumPIDs=14
PIDlist=003e,00a0,00a1,0059,0061,006b,0088,00a2,0098,00a3,00a4,004f,0156,01d7

;XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
[Misc]

;Time limit in years. Must be between -3 and 13
;Set to 0 if you want to die the instant you leave arroyo
;Set to -1 to remove the time limit, and automatically reset the date back to 2241 each time you would have reached it
;Set to -2 to remove the time limit without resetting the date. The game will lock up on 8th of March 2255
;Set to -3 to remove the time limit, automatically reset the date, but override fallouts GetDate function to return the correct year
TimeLimit=13

;Set to 1 to enable functions relating to overriding the file system
UseFileSystemOverride=0

;Set to 1 to use the fallout 1 code to control world map speed
WorldMapFPSPatch=1

;Controls the world map speed if WorldMapFPSPatch is 1. Higher values cause slower movement
WorldMapDelay2=66

;XX OBSOLETE  XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
;XX 
;XX ;This will change the physical speed at which you move across the map
;XX ;Set to 0 to leave at the default. (i.e. limited by vwait in windowed mode, or by processor speed in fullscreen)
;XX ;If set to something other than 0, it enforces a maximum fps on the world map screen.
;XX ;Changing this to something other than 0 is not recommended if you've already applied a world map speed patch to your fallout exe.
;XX WorldMapFPS=0
;XX 
;XX ;Only set to 1 if your systems high performance timer is unreliable for some reason
;XX ForceLowResolutionTimer=0
;XX 
;XX ;Set to 1 to enable Ray's patch to make world map encounter rate independent of your travel speed
;XX WorldMapEncounterFix=0
;XX WorldMapEncounterRate=6
;XX 
;XX ;Obsolete, but can still be used if you know what it does.
;XX ;WorldMapDelay=0
;XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX

;The number of slots available in the locations list panel of the world map
;Set to 0 to leave unchanged. 17 is default.
;Setting this greater than 17 requires a replacement background frm, or you'll get glitched graphics
WorldMapSlots=21

;To start a new game somewhere other than artemple.map, uncomment the next line and set it to the map you want to load
;StartingMap=

;To change the 'FALLOUT II v1.02d' version string on the main menu, uncomment the next line
;You can use up to 2 %d's in this, if you want to include fallouts version number somewhere
VersionString=FALLOUT II 1.02.27.2  RP 2.1.2

;To use a config file other than fallout.cfg, uncomment the next line and add the name of your new file
;ConfigFile=

;To use a patch file other than patch000.dat, uncomment the next line and add your new file name
;If you want to check for multiple patch files, you can include a %d in the file name (sprintf syntax)
;By default, only the first patch file found will be used.
;If you want to load multiple patch files at once, uncomment the NumberPatchLoop line and set it to the number of files to check for
PatchFile=DoNotUseAPatchFile.dat
;NumberPatchLoop=100

;To change the default and starting player models, uncomment the next four lines.
;The default models can also be changed ingame via script
;MaleStartModel=hmwarr
;MaleDefaultModel=hmjmps
;FemaleStartModel=hfprim
;FemaleDefaultModel=hfjmps

;To change the various ingame movies, modify the next 17 lines
;Most of these can also be changed ingame via script.
Movie1=iplogo.mve
Movie2=intro.mve
Movie3=elder.mve
Movie4=vsuit.mve
Movie5=afailed.mve
Movie6=adestroy.mve
Movie7=car.mve
Movie8=cartucci.mve
Movie9=timeout.mve
Movie10=tanker.mve
Movie11=enclave.mve
Movie12=derrick.mve
Movie13=artimer1.mve
Movie14=artimer2.mve
Movie15=artimer3.mve
Movie16=artimer4.mve
Movie17=credits.mve

;To change the starting year, month or day, uncomment the next 3 lines
;StartYear=-1
;StartMonth=-1
;StartDay=-1

;To change the limit of the distance away from the player to which you're allowed to scroll the local maps, uncomment the next two lines
;Defaults are 0x1E0 in the x direction and 0x190 in the y direction.
;Not compatible with the res patch!
;LocalMapXLimit=480
;LocalMapYLimit=400

;To add additional perks to the game, uncomment the next line and set it to point to a file containing perk information
;PerksFile=Perks.ini

;Set to 1 if you want the pipboy to be available at the start of the game
PipBoyAvailableAtGameStart=0

;Set to 1 to double the number of available kill types
;If you use this, you need to provide the extra descriptions in proto.msg (entries from 1450 to 1487 are names and 1488 to 1525 are descriptions)
;Changing this option mid game will not invalidate old save games, but the players kill counters will be completely screwed.
;Setting this to 1 may cause problems if the player kills more than 32767 of any one critter type
ExtraKillTypes=0

;Choose the damage formula used to calculate combat damage.
;Don't set this to anything other than 0 unless another mod you're using explicitly tells you to!
;0 - Fallout default
;1 - Glovz's Damage Fix
;5 - Haenlomal's Yet Another Ammo Mod.
DamageFormula=0

;Set to 1 to disable the horrigan encounter
DisableHorrigan=0

;Set to 1 to disable the random element in npc levelling.
;This will cause all npc party members to automatically level up as soon as the player reaches the requirements
NPCAutoLevel=0

;Change the initial starting location and world map viewport
;Leave at -1 for default
StartXPos=-1
StartYPos=-1
ViewXPos=-1
ViewYPos=-1

;Set to 1 for force fallout not to use multiple processor cores even if they are available
SingleCore=1

;Set to 1 to override the art_chache_size setting in fallout2.cfg
OverrideArtCacheSize=1

;Point at an ini file containing elevator data
ElevatorsFile=Elevators.ini

;Uncomment and set to a comma delimited list of numbers to use a custom xp table.
;Players level is capped once the highest specified level is reached
;XPTable=50,100,200

;Set to 1 to enable additional weapon animations codes from o-t
;The 4 byte value at 0x39 of weapon protos may range from 0 to 15 rather than 0 to 10
;Since the letters 'n' and 'r' are in use for other animations, an animation code of 11 corrisponds to 's' and 15 to 't'
AdditionalWeaponAnims=1

;Uncomment these lines to modify the default modifiers for aimed shots at specific bodyparts
;BodypartHitMod0=-40
;BodypartHitMod1=-30
;BodypartHitMod2=-30
;BodypartHitMod3=0
;BodypartHitMod4=-20
;BodypartHitMod5=-20
;BodypartHitMod6=-60
;BodypartHitMod7=-30
;BodypartHitMod8=0

;Set to 1 to use a CriticalOverrides.ini file to override the default critical table
;Set to 2 to use the default critical with bug fixes (doesn't require an ini)
;Must be 1 or 2 to use the edit/get/reset_critical script functions
OverrideCriticalTable=2

;Set to 1 to get notification of karma changes in the notification window
DisplayKarmaChanges=1

;Set to 1 to always reload messages, rather than only at map load
AlwaysReloadMsgs=0

;Set to 1 to force the player to play the idle animation when reloading their weapon
PlayIdleAnimOnReload=0

;Adjust how corpses effect line of fire
;Set to 1 to apply the same rules to bursts as to complete misses
;Set to 2 to completely block corpses from absorbing fire
CorpseLineOfFireFix=2

;Set a number of milliseconds to idle each input loop
;Set to -1 to disable
;Set to 0 to idle only if other processes are waiting for processor time
;Set to 1 (or some higher number if needed) to prevent 100% cpu use
ProcessorIdle=-1

;Set to 1 if using the hero appearance mod
EnableHeroAppearanceMod=0

;Set to 1 to skip the 3 opening movies
SkipOpeningMovies=0

;Causes npc's who complete their combat turn with ap left over will try and find other ways to spend it.
;Only npcs with ap left equal to or greater than the value given here will be considered.
;Set to 0 to disable
NPCsTryToSpendExtraAP=0

;Allows the use of tiles over 80*36 in size. sfall will just split and resave them at startup
;Set to 1 to check all tiles on started (slow)
;set to 2 if you provide a XLtiles.lst file in art/tiles/ containing a list of the tile ids that need checking
AllowLargeTiles=0

;Set to one to directly control party members in combat
ControlPartyMembers=0

;Change the skilldex cursor frm numbers
;Default is 293 for all skills
Lockpick=293
Steal=293
Traps=293
FirstAid=293
Doctor=293
Science=293
Repair=293

;Remove window position rounding
RemoveWindowRounding=0

;Set to 1 to add scroll buttons to the pip boy quest list, and remove the quests per area limit
UseScrollingQuestsList=1

;Uncomment these lines to control the premade characters offered when starting a new game
;Multiple options should be separated by commas, and there must be the same number of entries in both lines
;PremadePaths=combat,diplomat,stealth
;PremadeFIDs=201,203,202

;Use this line to modify the list of cities and their associated global variables used for city reputations
;Syntax is 'city id : global id',with each city/global pair separated by a comma.
;CityRepsCount=19
;CityRepsList=0:47,2:48,1:49,4:50,5:51,3:52,8:53,6:54,7:55,13:56,10:57,11:59,14:61,17:63,19:64,18:65,25:66,9:294,20:308

;Set this to a valid path to save a copy of the console contents
;ConsoleOutputPath="bingle.txt"

;Set to 1 to add additional pages of save slots
ExtraSaveSlots=1

;Set to 1 to speed up the hp/ac counter animations
SpeedInterfaceCounterAnims=0

;These lines allow you to control the karma frm's displayed on the character screen
KarmaFRMsCount=9
KarmaFRMs=128,146,129,125,152,127,147,134,176
KarmaPoints=-1000,-750,-500,-249,250,500,750,1000

;Set to 1 to allow science and repair to be used on the player, or 2 for all critters. (Rather than only brahmin/robots)
ScienceOnCritters=0

;Modify this value to change the players speed of rotation on the inventory and character screens
;Default is 220. Larger values make it slower, smaller values make it faster.
SpeedInventoryPCRotation=220

;Uncomment to set the text colour of the exta 5 interface boxes
;The line must contain a 5 digits, each either a 0 for green or 1 for red
;BoxBarColours=00000

;Modify the maximum number of animations allowed to run on a map. (Default is 32)
AnimationsAtOnceLimit=120

;Set to 1 to remove the limits that stop the player rolling critical successes/misses in the first few days of game time
RemoveCriticalTimelimits=0

;Set to 1 to enable party members with level 6 protos to reach level 6
NPCStage6Fix=1

;Set to 1 to fix the problem with melee weapon equiped npcs being unable to attack multi-hex critters
MultiHexPathingFix=1

;Change the colour of the font used on the main menu for the fallout/sfall version number
;It's the last byte ('3c' by default,) that picks the colour used. The first byte supplies additional flags
;MainMenuFontColour=0x0600003c